Skip to main content
POST
/
api
/
external
/
v1
/
cable
/
buy
Purchase cable subscription
curl --request POST \
  --url https://api.dancity.app/api/external/v1/cable/buy \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'channel: <api-key>' \
  --data '
{
  "smartcardNumber": "<string>",
  "cableplan": "<string>",
  "cablename": "<string>",
  "customerName": "<string>",
  "pin": "<string>",
  "customerRef": "<string>",
  "saveAsBeneficiary": true,
  "beneficiaryName": "<string>",
  "promocode": "<string>",
  "deviceKey": "<string>"
}
'
{
  "success": true,
  "message": "<string>",
  "data": "<unknown>"
}

Authorizations

Authorization
string
header
required

Merchant API key from the Dancity dashboard.

channel
string
header
required

Required on VAS (merchant /api/external/v1) requests. Use API for server integrations.

Body

application/json
smartcardNumber
string
required
cableplan
string
required
cablename
string
required
customerName
string
required
pin
string
required
customerRef
string
saveAsBeneficiary
boolean
beneficiaryName
string
promocode
string
deviceKey
string

Response

OK

success
boolean
Example:

true

message
string
data
any